Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class ContainsWidget_CreateAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.widget.contains.ContainsWidget_AbstractAction
              edu.stanford.smi.protegex.widget.contains.ContainsWidget_CreateAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class ContainsWidget_CreateAction

extends ContainsWidget_AbstractAction

Description of the class

Author:
  William Grosso
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.contains.ContainsWidget_AbstractAction
`_kb, _project, _state, _widget`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ContainsWidget_CreateAction(ContainsWidget widget)`
`ContainsWidget_CreateAction(ContainsWidget widget, String tooltipString, Icon icon)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`protected void` | `updateActivation()`

Methods inherited from class edu.stanford.smi.protegex.widget.contains.ContainsWidget_AbstractAction
`getAllowedClasses`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainsWidget_CreateAction

    public ContainsWidget_CreateAction(ContainsWidget widget)

### ContainsWidget_CreateAction

    public ContainsWidget_CreateAction(ContainsWidget widget,
                                       String tooltipString,
                                       Icon icon)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `ContainsWidget_AbstractAction`

### updateActivation

    protected void updateActivation()

  Overrides:
    `updateActivation` in class `ContainsWidget_AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request